searchNodes=[{"doc":"Client library for the ECPay Invoice API provided by Green World FinTech Service Co. (Taipei, Taiwan, Chinese name: 綠界科技股份有限公司).This library is compatible with API revision 3.0.0, which talks to the server using JSON payloads and uses AES encryption for verification. This library depends on HTTPoison and Jason.In order to use this library in production, you need to configure your API credentials in your configuration files (config/prod.secret.exs, config/runtime.exs etc.) by setting the profiles and default_profile keys for the :ecpay_invoice OTP application:use Mix.Config config :ecpay_invoice, :profiles, %{ production: %{ development: false, merchant_id: &quot;1420420&quot;, hash_iv: &quot;CHANGE_ME&quot;, hash_key: &quot;CHANGE_ME&quot; } } config :ecpay_invoice, :default_profile, :productionIf you have multiple ECPay accounts, for instance, if your application serves multiple branches, you can set multiple configuration profiles and pass the profile name when performing the actual requests. Please note that the profile name can be either a string or an atom when performing requests (which is useful if you need to determine the profile name dynamically) but needs to be passed as atom in your runtime configuration.","ref":"ECPayInvoice.html","title":"ECPayInvoice","type":"module"},{"doc":"","ref":"ECPayInvoice.B2CInvoice.html","title":"ECPayInvoice.B2CInvoice","type":"module"},{"doc":"","ref":"ECPayInvoice.B2CInvoice.html#add_item/2","title":"ECPayInvoice.B2CInvoice.add_item/2","type":"function"},{"doc":"Callback implementation for ECPayInvoice.Request.endpoint/0.","ref":"ECPayInvoice.B2CInvoice.html#endpoint/0","title":"ECPayInvoice.B2CInvoice.endpoint/0","type":"function"},{"doc":"Issues invoice, sends notification if the requests succeeded, and returns the response tuple from the original invoice issuance request.","ref":"ECPayInvoice.B2CInvoice.html#issue_and_notify/2","title":"ECPayInvoice.B2CInvoice.issue_and_notify/2","type":"function"},{"doc":"","ref":"ECPayInvoice.B2CInvoice.html#new/1","title":"ECPayInvoice.B2CInvoice.new/1","type":"function"},{"doc":"Callback implementation for ECPayInvoice.Request.to_api_payload/2.","ref":"ECPayInvoice.B2CInvoice.html#to_api_payload/2","title":"ECPayInvoice.B2CInvoice.to_api_payload/2","type":"function"},{"doc":"","ref":"ECPayInvoice.B2CInvoice.html#t:t/0","title":"ECPayInvoice.B2CInvoice.t/0","type":"type"},{"doc":"","ref":"ECPayInvoice.CarrierOptions.html","title":"ECPayInvoice.CarrierOptions","type":"module"},{"doc":"","ref":"ECPayInvoice.CarrierOptions.html#t:carrier_number/0","title":"ECPayInvoice.CarrierOptions.carrier_number/0","type":"type"},{"doc":"","ref":"ECPayInvoice.CarrierOptions.html#t:carrier_type/0","title":"ECPayInvoice.CarrierOptions.carrier_type/0","type":"type"},{"doc":"","ref":"ECPayInvoice.CarrierOptions.html#t:love_code/0","title":"ECPayInvoice.CarrierOptions.love_code/0","type":"type"},{"doc":"","ref":"ECPayInvoice.CarrierOptions.html#t:t/0","title":"ECPayInvoice.CarrierOptions.t/0","type":"type"},{"doc":"Convenience functions for working with ECPay credentials and configuration.","ref":"ECPayInvoice.Config.html","title":"ECPayInvoice.Config","type":"module"},{"doc":"","ref":"ECPayInvoice.Config.html#default_profile/0","title":"ECPayInvoice.Config.default_profile/0","type":"function"},{"doc":"","ref":"ECPayInvoice.Config.html#development?/1","title":"ECPayInvoice.Config.development?/1","type":"function"},{"doc":"","ref":"ECPayInvoice.Config.html#get_all_config/0","title":"ECPayInvoice.Config.get_all_config/0","type":"function"},{"doc":"","ref":"ECPayInvoice.Config.html#get_config/1","title":"ECPayInvoice.Config.get_config/1","type":"function"},{"doc":"","ref":"ECPayInvoice.Config.html#get_endpoint/2","title":"ECPayInvoice.Config.get_endpoint/2","type":"function"},{"doc":"","ref":"ECPayInvoice.Config.html#get_hash_iv/1","title":"ECPayInvoice.Config.get_hash_iv/1","type":"function"},{"doc":"","ref":"ECPayInvoice.Config.html#get_hash_key/1","title":"ECPayInvoice.Config.get_hash_key/1","type":"function"},{"doc":"","ref":"ECPayInvoice.Config.html#get_key_and_iv/1","title":"ECPayInvoice.Config.get_key_and_iv/1","type":"function"},{"doc":"","ref":"ECPayInvoice.Config.html#get_merchant_id/1","title":"ECPayInvoice.Config.get_merchant_id/1","type":"function"},{"doc":"","ref":"ECPayInvoice.Crypto.html","title":"ECPayInvoice.Crypto","type":"module"},{"doc":"","ref":"ECPayInvoice.Crypto.html#decrypt/2","title":"ECPayInvoice.Crypto.decrypt/2","type":"function"},{"doc":"","ref":"ECPayInvoice.Crypto.html#decrypt/3","title":"ECPayInvoice.Crypto.decrypt/3","type":"function"},{"doc":"","ref":"ECPayInvoice.Crypto.html#decrypt_base64/2","title":"ECPayInvoice.Crypto.decrypt_base64/2","type":"function"},{"doc":"","ref":"ECPayInvoice.Crypto.html#decrypt_base64/3","title":"ECPayInvoice.Crypto.decrypt_base64/3","type":"function"},{"doc":"","ref":"ECPayInvoice.Crypto.html#encrypt/2","title":"ECPayInvoice.Crypto.encrypt/2","type":"function"},{"doc":"","ref":"ECPayInvoice.Crypto.html#encrypt/3","title":"ECPayInvoice.Crypto.encrypt/3","type":"function"},{"doc":"","ref":"ECPayInvoice.Crypto.html#encrypt_payload/2","title":"ECPayInvoice.Crypto.encrypt_payload/2","type":"function"},{"doc":"","ref":"ECPayInvoice.Crypto.html#encrypt_payload/3","title":"ECPayInvoice.Crypto.encrypt_payload/3","type":"function"},{"doc":"","ref":"ECPayInvoice.Crypto.html#uri_escape/1","title":"ECPayInvoice.Crypto.uri_escape/1","type":"function"},{"doc":"","ref":"ECPayInvoice.CustomerData.html","title":"ECPayInvoice.CustomerData","type":"module"},{"doc":"","ref":"ECPayInvoice.CustomerData.html#new/1","title":"ECPayInvoice.CustomerData.new/1","type":"function"},{"doc":"","ref":"ECPayInvoice.CustomerData.html#to_api_payload/1","title":"ECPayInvoice.CustomerData.to_api_payload/1","type":"function"},{"doc":"","ref":"ECPayInvoice.CustomerData.html#t:carrier_type/0","title":"ECPayInvoice.CustomerData.carrier_type/0","type":"type"},{"doc":"","ref":"ECPayInvoice.CustomerData.html#t:t/0","title":"ECPayInvoice.CustomerData.t/0","type":"type"},{"doc":"","ref":"ECPayInvoice.Helpers.html","title":"ECPayInvoice.Helpers","type":"module"},{"doc":"","ref":"ECPayInvoice.Helpers.html#generate_unique_id/0","title":"ECPayInvoice.Helpers.generate_unique_id/0","type":"function"},{"doc":"","ref":"ECPayInvoice.Helpers.html#normalize_boolean/1","title":"ECPayInvoice.Helpers.normalize_boolean/1","type":"function"},{"doc":"","ref":"ECPayInvoice.Helpers.html#remove_nils/1","title":"ECPayInvoice.Helpers.remove_nils/1","type":"function"},{"doc":"","ref":"ECPayInvoice.Helpers.html#validate_mobile_carrier_no/1","title":"ECPayInvoice.Helpers.validate_mobile_carrier_no/1","type":"function"},{"doc":"","ref":"ECPayInvoice.InvoiceItem.html","title":"ECPayInvoice.InvoiceItem","type":"module"},{"doc":"","ref":"ECPayInvoice.InvoiceItem.html#new/1","title":"ECPayInvoice.InvoiceItem.new/1","type":"function"},{"doc":"","ref":"ECPayInvoice.InvoiceItem.html#sum/1","title":"ECPayInvoice.InvoiceItem.sum/1","type":"function"},{"doc":"","ref":"ECPayInvoice.InvoiceItem.html#to_api_payload/1","title":"ECPayInvoice.InvoiceItem.to_api_payload/1","type":"function"},{"doc":"","ref":"ECPayInvoice.InvoiceItem.html#t:t/0","title":"ECPayInvoice.InvoiceItem.t/0","type":"type"},{"doc":"","ref":"ECPayInvoice.InvoiceNotification.html","title":"ECPayInvoice.InvoiceNotification","type":"module"},{"doc":"Callback implementation for ECPayInvoice.Request.endpoint/0.","ref":"ECPayInvoice.InvoiceNotification.html#endpoint/0","title":"ECPayInvoice.InvoiceNotification.endpoint/0","type":"function"},{"doc":"","ref":"ECPayInvoice.InvoiceNotification.html#new/1","title":"ECPayInvoice.InvoiceNotification.new/1","type":"function"},{"doc":"","ref":"ECPayInvoice.InvoiceNotification.html#new_from_invoice_response/1","title":"ECPayInvoice.InvoiceNotification.new_from_invoice_response/1","type":"function"},{"doc":"","ref":"ECPayInvoice.InvoiceNotification.html#send_email_issuance_notfication/3","title":"ECPayInvoice.InvoiceNotification.send_email_issuance_notfication/3","type":"function"},{"doc":"Callback implementation for ECPayInvoice.Request.to_api_payload/2.","ref":"ECPayInvoice.InvoiceNotification.html#to_api_payload/2","title":"ECPayInvoice.InvoiceNotification.to_api_payload/2","type":"function"},{"doc":"","ref":"ECPayInvoice.InvoiceNotification.html#t:event_type/0","title":"ECPayInvoice.InvoiceNotification.event_type/0","type":"type"},{"doc":"","ref":"ECPayInvoice.InvoiceNotification.html#t:notification_recipient/0","title":"ECPayInvoice.InvoiceNotification.notification_recipient/0","type":"type"},{"doc":"","ref":"ECPayInvoice.InvoiceNotification.html#t:t/0","title":"ECPayInvoice.InvoiceNotification.t/0","type":"type"},{"doc":"This module contains functions related to encoding request payloads to the format expected by the ECPay API.","ref":"ECPayInvoice.Payload.html","title":"ECPayInvoice.Payload","type":"module"},{"doc":"With a given payload as map and a profile name as string or atom, encodes the given payload to the JSON format expected by the ECPay Invoice API, putting the respective fields of the request, such as Revision key, MerchantID, and Timestamp, in the correct parts of the JSON object.Serializes the original payload as JSON, URL-encodes it, encrypts it using the AES cipher as required by the API, and serializes the resulting binary to Base64. For more details regarding this step, see ECPayInvoice.Crypto.encrypt_payload/2.","ref":"ECPayInvoice.Payload.html#encode/2","title":"ECPayInvoice.Payload.encode/2","type":"function"},{"doc":"","ref":"ECPayInvoice.Request.html","title":"ECPayInvoice.Request","type":"behaviour"},{"doc":"","ref":"ECPayInvoice.Request.html#c:endpoint/0","title":"ECPayInvoice.Request.endpoint/0","type":"callback"},{"doc":"","ref":"ECPayInvoice.Request.html#generic_request/3","title":"ECPayInvoice.Request.generic_request/3","type":"function"},{"doc":"","ref":"ECPayInvoice.Request.html#handle_response/2","title":"ECPayInvoice.Request.handle_response/2","type":"function"},{"doc":"","ref":"ECPayInvoice.Request.html#perform/2","title":"ECPayInvoice.Request.perform/2","type":"function"},{"doc":"","ref":"ECPayInvoice.Request.html#post/2","title":"ECPayInvoice.Request.post/2","type":"function"},{"doc":"","ref":"ECPayInvoice.Request.html#c:to_api_payload/2","title":"ECPayInvoice.Request.to_api_payload/2","type":"callback"}]